[
  { /* encryption panel spec */

    blockid=encryption;

    localvar=
    {
      .label.size=200;
      .enc.encryption.label="Verschl\u00fcsselung:";
      .enc.enable.on=On;
      .enc.enable.off=Off;
      .enc.port.label="Port:";
      .enc.def.auth.label="Standard-Authentifizierungsmethode:";
      .enc.auth.mehtod.items=
      [
        basic,
        certs
      ];
      .enc.auth.method.labels=
      [
        "Standard",
        "Zertifikate"
      ];
    };

    content=
    [ /* encryption panel content */

      { /* switchboard to enable/disable security */
        ctrl=switchboard;
        switchalign=left;
        switchborder=false;
        switch=
        [ /* switch contents */

          { /* encryption enabled ?*/
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* encryption enabled contents */

              { /* encryption label */
                ctrl=label;
                text=$.enc.encryption.label;
                aligny=0.5;
              },

              { /* component space */
                ctrl=hstrut;
                size=$.comp.space;
              }, /* component space */

              { /* pane containing radio btns */
                ctrl=choice;
                style=combobox;
                items=[enabled,disabled];
                labels=["Aktiviert", "Deaktiviert"];
                aligny=0.5;
/*
                ctrl=pane;
                border=[etched];
                layout=[ybox];
                aligny=0.5;
                content=
                [

                  {
                    ctrl=radio;
                    text=$.enc.enable.on;
                    group=enable;
                  },

                  {
                    ctrl=radio;
                    text=$.enc.enable.off;
                    group=enable;
                  }

                ]
*/
              } /* pane containing radio btns */

            ]; /* encryption enabled contents */
          } /* encryption enabled ?*/

        ]; /* switch contents */

        content=
        [ /* switchboard contents */

          { /* secure port number */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* secure port contents */

              { /* port label */
                ctrl=label;
                text=$.enc.port.label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
              }, /* port label */

              { /* component space */
                ctrl=hstrut;
                size=$.comp.space;
              }, /* component space */

              { /* port textfield */
                ctrl=number;
                aligny=0.5;
              } /* port textfield */

            ] /* secure port contents */
          }, /* secure port number */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space;
          }, /* component space */

          { /* def. auth. method */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* def. auth. method contents */

              { /* label */
                ctrl=label;
                text=$.enc.def.auth.label;
                wrap=$.label.size;
                alignh=right;
                aligny=0.5;
              }, /* label */

              { /* component space */
                ctrl=hstrut;
                size=$.comp.space;
              }, /* component space */

              { /* auth. method combobox */
                ctrl=choice;
                style=combobox;
                items=$.enc.auth.mehtod.items;
                labels=$.enc.auth.method.labels;
                aligny=0.5;
              } /* auth. method combobox */

            ] /* def. auth. method contents */
          } /* def. auth. method */

        ]; /* switchboard contents */

      } /* switchboard to enable/disable security */

    ]; /* encryption panel content */

  } /* encryption panel spec */

]


